#
# spec file for package screen (Version 4.0.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  utempter
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm utempter

Name:         screen
License:      GPL
Group:        System/Console
Autoreqprov:  on
Version:      4.0.1
Release:      33
Summary:      A program to allow multiple screens on a VT100/ANSI Terminal
Source:       screen-4.0.1.tar.gz
Patch:        screen-4.0.1.dif
Patch1:       screen-ansi.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
With this program you can take advantage of the multitasking abilities
of your Linux system by opening several sessions over one terminal. The
sessions can also be detached and resumed from another login terminal.

Documentation: man page



Authors:
--------
    Oliver Lauman
    Juergen Weigert   <jnweiger@immd4.informatik.uni-erlangen.de>
    Michael Schroeder <mlschroe@immd4.informatik.uni-erlangen.de>

%prep
%setup
%patch
%patch1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --infodir=%{_infodir} \
				--mandir=%{_mandir} \
				--with-sys-screenrc=/etc/screenrc \
				--with-pty-group=5 \
				--enable-locale \
				--enable-telnet \
				--verbose
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/bin/screen
mv $RPM_BUILD_ROOT/usr/bin/screen-%version $RPM_BUILD_ROOT/usr/bin/screen
chmod 755 $RPM_BUILD_ROOT/usr/bin/screen
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 screenrc $RPM_BUILD_ROOT/etc/screenrc

%files
%config /etc/screenrc
%attr(555,root,root) /usr/bin/screen
%dir /usr/share/screen
/usr/share/screen/utf8encodings
%doc %{_infodir}/screen.info*.gz
%doc %{_mandir}/man1/screen.1.gz

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog -n screen
* Fri Dec 05 2003 - mls@suse.de
- fix ansi NumArgs overflow [#33379]
* Thu Sep 18 2003 - mls@suse.de
- update to 4.0.1 (fixes another bug of the parser)
* Fri Sep 12 2003 - mls@suse.de
- fix off by one error in variable expansion
* Fri Sep 12 2003 - mls@suse.de
- don't resize xterms on startup
* Mon Sep 08 2003 - mls@suse.de
- update to 4.0.0final
* Wed Aug 27 2003 - mls@suse.de
- update to 4.0.0beta2
* Fri Aug 01 2003 - mls@suse.de
- update to 4.0.0beta1
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Mar 13 2003 - mls@suse.de
- update to 3.9.15: changing the window title could append
  junk to the title
* Wed Mar 12 2003 - mls@suse.de
- update to 3.9.14: one small docu change and a small improvement
  in the windowlist command
* Mon Feb 24 2003 - mls@suse.de
- update to 3.9.14beta1
- build screen with buildroot
- remove xf86 dependency, use configure option instead
- use install-info macro to install info page
* Tue Oct 01 2002 - mls@suse.de
- fix WrapChar() scrolling region reset code to always use a
  valid scrolling region (#20367)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Sep 05 2002 - mls@suse.de
- update to official screen-3.9.13, contains one small bug
  fix
* Thu Aug 29 2002 - mls@suse.de
- update to official screen-3.9.12
* Mon Aug 19 2002 - mls@suse.de
- update to screen-3.9.12beta2
* Fri Mar 08 2002 - kukuk@suse.de
- Add /usr/share/screen to filelist
* Wed Mar 06 2002 - mls@suse.de
- disable pam support again
- fix segmentation fault in screen's reattach password check
* Fri Feb 22 2002 - mls@suse.de
- fix passing of NUL bytes when recoding is active
- moved uid/gid retrieval in front of FindEncoding
* Mon Feb 18 2002 - mls@suse.de
- added missing /usr/share/screen/utf8encodings files
- small patch to fix hardstatus width
* Thu Feb 14 2002 - mls@suse.de
- update to official screen-3.9.11
- enabled pam & localized dates
* Mon Feb 11 2002 - mls@suse.de
- update to screen-3.9.11beta7
* Tue Jan 29 2002 - okir@suse.de
- require utempter to build; zapped s bit
* Fri Jan 25 2002 - okir@suse.de
- require utempter to build
* Wed Sep 05 2001 - mls@suse.de
- nominal upgrade to screen-3.9.10
* Mon Sep 03 2001 - mls@suse.de
- Security fix for the Multiattach-bug in /usr/bin/screen
* Mon Jul 23 2001 - bk@suse.de
- added select-fix for fifo-testcase to build on s390x
* Fri May 25 2001 - mls@suse.de
- update -> 3.9.9
* Tue May 08 2001 - mls@suse.de
- added workaround for broken xterm to global screenrc
* Fri Apr 27 2001 - mls@suse.de
- fix screen -wipe (bugzilla bug #2990)
- fix f10 function key (bugzilla bug #4326)
- fix 0620 pty mode autodetection (bugzilla bug #6304)
* Mon Sep 04 2000 - uli@suse.de
- fix for root compromise using configurable visual bell string
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Fri Oct 22 1999 - uli@suse.de
- update -> 3.9.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Nov 27 1998 - uli@suse.de
- Update 3.7.3 -> 3.7.6
* Wed Apr 30 1997 - florian@suse.de
- update to version 3.7.3
- mv /usr/etc/screenrc /etc/
